Texa DeskDevelopers

Texa Desk Application API · Conversations

Toggle Typing Status

POST/api/v1/accounts/{account_id}/conversations/{conversation_id}/toggle_typing_status

Toggles the typing status for a conversation.

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

conversation_idintegerrequired

The numeric ID of the conversation

Body application/json

typing_statusstringrequired

Typing status to set. One of: on, off.

is_privateboolean

Whether the typing event is for private notes.

Responses

200

Success

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

Conversation not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring